
<?php
//Llamada al modelo
require 'model/home_model.php';

class home_controller
{
	private $modulo;
	public function __construct(){
		$this->modulo="Home";

	}

	public function cambio_clave(){
		$per=new home_model();
		$clave=$_POST['clave'];
		$clave_incial=$clave;
		if (strlen($clave_incial) < 8 || empty($clave_incial)) {
			$datos = array('msg' => 'Debe contener 8 caracteres','status' => false,'code' => 400);
			return $datos;
		}
		$opciones = [
		'cost' => 12,
		];
		$clave=password_hash($clave_incial, PASSWORD_BCRYPT, $opciones);
		$user=$_SESSION['bn_user_global'];
		$datos=$per->cambio_clave($clave,$user);
		$resp1 = array('msg' => $_SESSION['lang']['EDITADO'],'status' => true,'code' => 201);
		$resp2=array('msg' => $_SESSION['lang']['ERROR_INSERT'],'status' => false,'code' => 400);
		$return= (!$datos) ? $resp2 : $resp1;
		return $return;
	}


/**
* Consulta de avatar.
*
*Funcion para consultar avatar registrados para llenar input*
*
* @return Array msg=mensaje,status,datos=array de la consulta 
* @param 
*/
public function view_avatar(){
	$per=new home_model();
	$user=$_SESSION['bn_user_global'];
	$datos=$per->query_avatar($user);
	$datos1 = array('msg' => $_SESSION['lang']['TABLA'],'status' => true,'datos' => $datos);
	return $datos1;
}
/**
* Registrar avatr.
*
*
* @return Array msg=mensaje,status,datos=boolean 
* @param Method POST 
*/
public function avatar_change(){
	$per=new home_model();
	$name=$_POST['name'];
	$user=$_SESSION['bn_user_global'];
	$datos=$per->avatar_change($name,$user);
	$resp1 = array('msg' => $_SESSION['lang']['EDITADO'],'status' => true,'code' => 201);
	$resp2=array('msg' => $_SESSION['lang']['ERROR_INSERT'],'status' => false,'code' => 400);
	$return= (!$datos) ? $resp2 : $resp1;
	return $return;
}

/**
* Cierre de caja.
*
*Funcion para Cerrar operaciones*
*
* @return Array msg=mensaje,status,datos=array de la consulta 
* @param 
*/
public function close_cash_register(){
	$per=new home_model();
	$user=$_SESSION['bn_user_global'];
	$datos=$per->close_cash_register($user);
	$resp1 = array('msg' => 'Cierre de caja exitoso','status' => true,'code' => 200);
	$resp2=array('msg' => $_SESSION['lang']['ERROR_INSERT'],'status' => false,'code' => 400);
	$return= (!$datos) ? $resp2 : $resp1;
	return $return;
}

public function logout(){
	session_unset();
	session_destroy();
	$datos1 = array('msg' => 'logout','status' => 'T','datos' => '');
	return $datos1;
}


}